/*---Sort2 - sort 2 vectors ------
  Copyright Stellingwerf Consulting 2004
----------------------------------------*/

/*  Sort two vectors, A and B, length N  */
/*    sort on A, then B                  */

exit "Must call sort2 as a subroutine"

sort2:

/*---set system size---*/
init_var N
if ~N
  exit "Sort2:  must set N = length of vectors"
end_if
M = 2

/*---Load X---*/
for_i = 1 N
  X[i][1] = A[i]
  X[i][2] = B[i]
end_i

/*---sort the system---*/
sort

/*---copy back to A, B---*/
for_i = 1 N
  A[i] = X[i][1]
  B[i] = X[i][2]
end_i

return