/*  parse.s - parsing example  */

#---parse a non-standard string---
#---this version ignores repeated and tailing delims----

#   test has ; delims

$A = "abc;;;;def;ghij;12345;;rrg;;;sqrt(X+Y);;"
show $A
show_nl

call parse_string:

show_line "Done.. " @Nstr " strings found"
for_i = 1 Nstr
  show $str[i]
end_i

end



parse_string:

init_var $delim = ";"
init_var Max_fields = 20
init_var Max_field_len = 20

Nstr = 0
Pos = 0                // init the pointer
for_i = 1 Max_fields
  $str[i] = ""
  S_len = 0
  for_j = 1 Max_field_len
    Pos = Pos+1        // advance the pointer
    str_char $A Pos    // extract a character
    if $S_char="\0"  // end test
      if S_len=0
        Nstr = i-1
      else
        Nstr = i         // Nstr fields found
      end_if
      return            // quit
    end_if
    if $S_char=$delim  // delim test
      if S_len>0
        break          // do next field
      else
        continue       // skip delims
      end_if
    else
      $str[i] = $str[i] + $S_char
      S_len = S_len+1
    end_if
  end_j
end_i

return
