/*---linear equation solver example------
  Copyright Stellingwerf Consulting 2004
----------------------------------------*/

/*---set system size---*/
N = 8
show N
show_nl

/*---compute data---*/
for_i = 1 N
  for_j = 1 N 
    X[i][j] = 0
  end_j 
  X[i][1] = i    // column 1
  X[i][i] = 2    // diagonal
  Y[i] = i       // constant
end_i

/*---display the problem---*/
for_i = 1 N
  show_field "|" @Y[i] 
  if i=N/2
    show_field "|  =  | "
  else
    show_field "|     | "   
  end_if
  for_j = 1 N
    show_field @X[i][j] " "
  end_j
  show_field "|  |Z[" @i "]|"
  show_nl
end_i

/*---solve the system---*/
solve

/*---display the answer---*/
show_nl
for_i = 1 N
  show Z[i]
end_i
