/*---sort example------
  Copyright Stellingwerf Consulting 2004
----------------------------------------*/

/*---set system size---*/
N = 30
M = 10
seed ran
show N M
show_nl

/*---compute data---*/
for_i = 1 N
  for_j = 1 M 
    X[i][j] = ip(3*ran)
  end_j 
end_i

/*---display the problem---*/

show_line "Input data..."
for_i = 1 N
  for_j = 1 M
    show_field @X[i][j] " "
  end_j
  show_nl
end_i

show_nl; show_nl

/*---solve the system---*/
sort

/*---display the answer---*/
show_line "Sorted data..."
for_i = 1 N
  for_j = 1 M
    show_field @X[i][j] " "
  end_j
  show_nl
end_i
