/*  VECTOR.s - 3D vector functions  */

function Vlen(X$,Y$,Z$) = sqrt(sq(X$)+sq(Y$)+sq(Z$))
function Vlen2(X$,Y$,Z$) = sq(X$)+sq(Y$)+sq(Z$)

function DotProd(X1$,Y1$,Z1$,X2$,Y2$,Z2$) = X1$*X2$+Y1$*Y2$+Z1$*Z2$

function CrossProdX(X1$,Y1$,Z1$,X2$,Y2$,Z2$) = Y1$*Z2$-Z1$*Y2$
function CrossProdY(X1$,Y1$,Z1$,X2$,Y2$,Z2$) = Z1$*X2$-X1$*Z2$
function CrossProdZ(X1$,Y1$,Z1$,X2$,Y2$,Z2$) = X1$*Y2$-Y1$*X2$

function VAngle(X1$,Y1$,Z1$,X2$,Y2$,Z2$) = acos(DotProd(X1$,Y1$,Z1$,X2$,Y2$,Z2$)/(Vlen(X1$,Y1$,Z1$)*Vlen(X2$,Y2$,Z2$)))
