#---Multivariate version---
#---CDAT format---

show_line "DATA2.S - S Coded Data Entry"
show_nl
set_delim space

#---default data file---
$datf = dat2.cd               // default data file

#---data entry if desired---
query "Enter Data?" n
Data_entry = qq
if Data_entry
  show_field "Number of Columns = "
  input M
  show_nl;
  show_line "Enter Data, type 'done' when finished"
  show_nl;
  begin_loop_i = 1 M    //  labels
    show_field "Label " @i
    input0 $label[i]
  end_loop_i
  begin_loop_i = 1 4000
    begin_loop_j = 1 M
      input X[i][j]
      if eof; goto out:; end_if
    end_loop_j
  end_loop_i
  out:
  N = i-1
  if N=0; exit "Zero points in table"; end_if
end_if

input $datf              // change data file name?

#---read or store data--

if Data_entry
  write_lab $datf Data
  write_dat N M         // needed to decode rows/columns
  begin_loop_i = 1 M    // labels
    write_line $datf $label[i]
  end_loop_i
  begin_loop_i = 1 N
    begin_loop_j = 1 M
      write_dat X[i][j]
    end_loop_j
  end_loop_i
  show_line "File " $datf " written"
  close_file $datf
else
  read_lab $datf
  read_dat N M         // needed to decode rows/columns
  begin_loop_i = 1 M   // labels
    read_dat $label[i]
  end_loop_i

  begin_loop_i = 1 N
    begin_loop_j = 1 M
      read_dat X[i][j]
      if eof;  N = i-1;  goto out:; end_if
    end_loop_j
  end_loop_i
  out:
  if N=0; exit "Zero points in table"; end_if
  show_line "File " $datf " read"
end_if

show_line "--> " @N " points in table"
show_line "--> " @M " coord per point"
show_nl

query "Review data?" y
Review = qq

if Review
  begin_loop_i = 1 M    //  labels
    show $label[i]
  end_loop_i

  begin_loop_i = 1 N
    begin_loop_j = 1 M
      show X[i][j]
    end_loop_j
  end_loop_i
end_if