#---general NxM data matrix entry/read/write/review---
show_line "DATA3.S - S Coded Data Entry"
show_nl

#---default data file---
$datf = dat.csv               // default data file

#---data entry if desired---
query "Enter Data?" n
Enter_data = qq

if Enter_data
  show_field "Number of Columns?"; show_nl
  input M
  do_i = 1 M
    input $Label[i]
  end_i
  show_nl;
  show_line "Enter Data, type 'done' when finished"
  show_nl;
  begin_loop_i = 1 400
    begin_loop_j = 1 M
      show_field "    " $Label[j] "[" @i "] = "
      input0 X[i][j]
      if eof; goto out:; end_if
    end_loop_j
  end_loop_i
  out:
  N = i-1
  if N=0; exit "Zero points in table"; end_if
end_if

input $datf      // change data file name?

#---read or store data---
if Enter_data
  $Str = "write_lab "
  %Str = $Str $datf
  begin_loop_i = 1 M
    $Str = $Str " " $Label[i]
  end_loop_i
  exec $Str
  begin_loop_i = 1 N
    $Str = write_dat
    begin_loop_j = 1 M
      $Str = $Str " " @X[i][j]
    end_loop_j
    exec $Str
  end_loop_i
  show_line "File " $datf " written"
  close_file $datf
else
  read_dat_2 $datf
  if N=0; exit "Zero points in table"; end_if
  show_line "File " $datf " read"
end_if

show_line "--> " @N " rows    in table"
show_line "--> " @M " columns in table"
show_nl

query "Review data?" y
Review = qq

if Review
  show_nl
  $Str = "show_lab"
  begin_loop_i = 1 M
    $Str = $Str " " $Label[i]
  end_loop_i
  exec $Str

  begin_loop_i = 1 N
    $Str = "show_tab"
    begin_loop_j = 1 M
      $Str = $Str " " @X[i][j]
    end_loop_j
    exec $Str
  end_loop_i
  show_nl
end_if

end

