/*  ODE example  */

/*---------SHO test case--------*/
N = 2
M = 100
X = 0
Y[1] = 0
Y[2] = 1
Err_tol = 0.001   // optional
Xlast = 8*pi
Step = (Xlast-X)/M   // initial step

#---derivatives - fn(x,y[i])---
function F[1]() = Y[2]
function F[2]() = -Y[1]

#---optional i/o---
write_lab dat.csv X Y1 Y2 Step
write_dat X Y[1] Y[2] Step
show X Y[1] Y[2] Step

#---integration here---
for_i = 1 M
  call step: midpoint.s
  write_dat X Y[1] Y[2] Step
  show X Y[1] Y[2] Step
end_i

close_file dat.csv


  