show_line "DATA.S - S Coded Data Entry"
show_nl

#---default data file---
$datf = dat.csv               // default data file

#---data entry if desired---
Enter = false
query "Enter Data?" Enter
if Enter
  show_nl;
  show_line "Enter Data, type 'done' when finished"
  show_nl;
  begin_loop_i = 1 400
    input X[i] Y[i]           //<---customize
    break_if eof
  end_loop_i
  N = i-1
  if N=0; exit "Zero points in table"; end_if
end_if

input $datf              // change data file name?

#---read or store data---
if Enter
  write_lab $datf X Y         //<---customize
  begin_loop_i = 1 N
    write_dat X[i] Y[i]       //<---customize
  end_loop_i
  show_line "File " $datf " written"
  close_file $datf
else
  read_lab $datf
  begin_loop_i = 1 400
    read_dat X[i] Y[i]          //<---customize
    break_if eof
  end_loop_i
  N = i-1
  if N=0; exit "Zero points in table"; end_if
  show_line "File " $datf " read"
end_if

show_line "--> " @N " points in table"
show_nl

Review = true
query "Review data?" Review

if Review
  begin_loop_i = 1 N
    show X[i] Y[i]            //<---customize
  end_loop_i
end_if