#---TAX RATE computer---
#  joint

#---define brackets-2005---
Nb = 6
Top[0] = 0
Rate[1] = 0.10
Top[1] = 14600
Rate[2] = 0.15
Top[2] = 59400
Rate[3] = 0.25
Top[3] = 119950
Rate[4] = 0.28
Top[4] = 182800
Rate[5] = 0.33
Top[5] = 312000
Rate[6] = 0.35
Top[6] = 10000000

Deduct = 18650

$datf = tax.csv
write_lab $datf Income Rate Bracket

Max_inc = 500000
begin_loop_i = 40000 Max_inc Max_inc/50
    Inc = ii
    call tax:
    write_dat Inc Rate Bracket
    if ~(ii%100000)
    show Inc Bracket Rate
    end_if
end_loop_i

show_nl
show_line ">>>Finished, data in " $datf "<<<"
close_file $datf

show_nl; query "Do Regression?" y

if qq
  LogX_r = true
  Write_fit = true
  $fitf = taxr.csv
  call regress: "..\math\regress.s"
end_if
    
show_line "Stand by for plot of results"
system "..\thor ..\tax\taxr.thor"

end

#---compute tax---
tax:

Inc$ = Inc-Deduct
Tax = 0
begin_loop_i = 1 Nb
    if Inc$<0
        break
    else_if Inc$<Top[ii]
        Tax = Tax+(Inc$-Top[ii-1])*Rate[ii]
        break
    else
        Tax = Tax+(Top[ii]-Top[ii-1])*Rate[ii]
    end_if
end_loop_i

Bracket = Rate[ii]

if Inc
    Rate = Tax/Inc
    Ratio = Rate/Bracket
else
    Rate = 0
    Ratio = 1
end_if
return